import React from 'react'
import { BrowserRouter as Router, Route, Navigate , Routes } from 'react-router-dom';
import axios from 'axios';
import { Swiper,Grid } from 'antd-mobile';
import WidthUseNavigate from './../WidthUseNavigate/index'
import ImgZZ from './../../assets/images/nav-1.png'
import ImgHZ from './../../assets/images/nav-2.png'
import ImgDTZF from './../../assets/images/nav-3.png'
import ImgQCZ from './../../assets/images/nav-4.png'

const localCatalog = [
    { "imgSrc": ImgZZ, "title": "整租", "path": "/todo" },
    { "imgSrc": ImgHZ, "title": "合租", "path": "/todo" },
    { "imgSrc": ImgDTZF, "title": "地图找房", "path": "/map" },
    { "imgSrc": ImgQCZ, "title": "去出租", "path": "/me" }
]
navigator.geolocation.getCurrentPosition(position=>{
    console.log("当前位置信息",position)
})
class IndexInner extends React.Component {
    state = {
        swipers: [],
        isSwiperLoaded: false,
        groups: []
    }
    // 获取轮播图
    async getSwitpers() {
        const res = await axios.get('http://localhost:8080/home/swiper')
        this.setState(
            {
                swipers: res.data.body,
                isSwiperLoaded: true
            },

            //     ()=>{
            //     return{swipers:res.data.body}
            // }
        )
    }
    // 获取租房小组
    async getGroups() {
        const res = await axios.get('http://localhost:8080/home/groups', {
            params: {
                area: 'AREA%7C88cff55c-aaa4-e2e0'
            }
        })
        this.setState(
            () => {
                return { groups: res.data.body }
            }
        )
    }
    componentDidMount() {
        this.getSwitpers()
        this.getGroups()
    }

    renderSwipers() {
        return this.state.swipers.map(item => (<Swiper.Item key={item.id}>
            <img height='212'
                src={'http://localhost:8080' + item.imgSrc}
                style={{ width: '100%', verticalAlign: 'top' }}
            />
        </Swiper.Item>))
    }

    render() {
        return <div className='context'>

            {/* 轮播图 */}
            <div className='context-swapper'>
                {
                    this.state.isSwiperLoaded ? <Swiper autoplay loop autoplayInterval='1500'>{this.renderSwipers()}</Swiper> : ""
                }
            </div>

            {/* 本地导航 */}
            <Grid columns={4}>
                {
                    localCatalog.map((item, index) => (
                        <Grid.Item key={index} onClick={() => {
                            console.log("点击跳转")
                            this.props.to(item.path)
                        }}>
                            <div ><img src={item.imgSrc} /><h2>{item.title}</h2></div>
                        </Grid.Item>
                    ))
                }
            </Grid>
            {/* 租房小组 */}
            <div className='group'>
                <h3 className='title'>
                    租房小组<span className='more'>更多</span>
                </h3>
            </div>
        </div>
    };
}
// 使用高阶组件包裹当前类组件
const Index = WidthUseNavigate(IndexInner);
export default Index